summaryrefslogtreecommitdiffstats
path: root/desktop/gntp-send
diff options
context:
space:
mode:
author Lionel Young2012-12-29 09:03:23 +0100
committer Matteo Bernardini2012-12-29 09:03:47 +0100
commit10dd70be8a1b8e2125142cfe9d2e20d8a7af5517 (patch)
tree94af132aa12d22db37e30880e1fdbbd2638a754f /desktop/gntp-send
parent728d45370bdb9fe99fd983179c1249bebd4f770c (diff)
downloadslackbuilds-10dd70be8a1b8e2125142cfe9d2e20d8a7af5517.tar.gz
desktop/gntp-send: Added (send to growl using GNTP protocol).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'desktop/gntp-send')
-rw-r--r--desktop/gntp-send/README5
-rw-r--r--desktop/gntp-send/gntp-send.SlackBuild91
-rw-r--r--desktop/gntp-send/gntp-send.info10
-rw-r--r--desktop/gntp-send/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/desktop/gntp-send/README b/desktop/gntp-send/README
new file mode 100644
index 0000000000..3c2cb43b26
--- /dev/null
+++ b/desktop/gntp-send/README
@@ -0,0 +1,5 @@
+gntp-send is:
+* a command line binary for sending notifications to Growl
+* a library for integrating Growl into your C or C++ based applications
+
+gntp-send and libraries distributed under BSD license.
diff --git a/desktop/gntp-send/gntp-send.SlackBuild b/desktop/gntp-send/gntp-send.SlackBuild
new file mode 100644
index 0000000000..ee48a40c18
--- /dev/null
+++ b/desktop/gntp-send/gntp-send.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012 Eric Hameleers, Eindhoven, Netherlands
+
+# Slackware build script for gntp-send
+
+# Written by Lionel Young <lionelyoung@gmail.com>
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=gntp-send
+VERSION=${VERSION:-0.3.2}
+GITCOMMIT=8241d46903219cecca371f89ac6edf33a091eb03
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$GITCOMMIT
+unzip $CWD/$PRGNAM-$GITCOMMIT.zip
+cd $PRGNAM-$GITCOMMIT
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+# Compile the application and install it into the $PKG directory
+make
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md VERSION example \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/gntp-send/gntp-send.info b/desktop/gntp-send/gntp-send.info
new file mode 100644
index 0000000000..fca31c9b04
--- /dev/null
+++ b/desktop/gntp-send/gntp-send.info
@@ -0,0 +1,10 @@
+PRGNAM="gntp-send"
+VERSION="0.3.2"
+HOMEPAGE="http://github.com/mattn/gntp-send"
+DOWNLOAD="http://github.com/mattn/gntp-send/archive/8241d46903219cecca371f89ac6edf33a091eb03.zip"
+MD5SUM="c73ec59b8ebd6e59e9d6d91376919e4b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lionel Young"
+EMAIL="lionelyoung@gmail.com"
diff --git a/desktop/gntp-send/slack-desc b/desktop/gntp-send/slack-desc
new file mode 100644
index 0000000000..d38f69b8be
--- /dev/null
+++ b/desktop/gntp-send/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gntp-send: gntp-send (send to growl using GNTP protocol)
+gntp-send:
+gntp-send: gntp-send includes a command line binary for sending notifications
+gntp-send: to Growl, and a library for integrating Growl into your C or C++
+gntp-send: based applications.
+gntp-send:
+gntp-send: Homepage: http://github.com/mattn/gntp-send
+gntp-send:
+gntp-send:
+gntp-send:
+gntp-send: